<?php
/**
 * P127 特定のコード内でINI設定を変更する
 */
function printList(array $a): void
{
    $errorReporting = ini_get('error_reporting');
    ini_set('error_reporting', E_ALL & ~E_DEPRECATED);

    // each()はPHP 7.2で非推奨
    while (list($key, $val) = each($a)) {
        echo "$key -> $val" . PHP_EOL;
    }

    ini_set('error_reporting', $errorReporting);
}

